Holger's Java API

## com.antelmann.genealogy
Interface GEvent

All Superinterfaces:
  GeoEncoded, LifeCycleObject, Serializable, Taggable<GTag>, Timed

All Known Implementing Classes:
  GEventEntry, GEventImpl

    public interface GEvent

extends Timed, GeoEncoded, LifeCycleObject, Taggable<GTag>, Serializable

represents an event in history that may be related to one or many people

Since:
  24.01.2014, 13:15:18
Author:
  holger

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.db.Taggable
`Taggable.Adapter<T extends Tag>`

Field Summary

Fields inherited from interface com.antelmann.calendar.Timed
`COMPARATOR, DATE_EXTRACTOR`

Method Summary
`String` `getTitle()`

Methods inherited from interface com.antelmann.calendar.Timed
`getTime`

Methods inherited from interface com.antelmann.math.GeoEncoded
`getGeoPoint`

Methods inherited from interface com.antelmann.util.LifeCycleObject
`getBeginTime, getEndTime`

Methods inherited from interface com.antelmann.db.Taggable
`add, getTags, isTagged, remove`

Method Detail

### getTitle

    String getTitle()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads